QScintilla: QsciLexerJavaScript Class Reference

# QsciLexerJavaScript Class Reference

The QsciLexerJavaScript class encapsulates the Scintilla JavaScript lexer. More...

`#include <qscilexerjavascript.h>`

Inherits QsciLexerCPP.

List of all members.

## Public Member Functions

- QsciLexerJavaScript (QObject *parent=0)
- virtual ~QsciLexerJavaScript ()
- const char * language () const
- QColor defaultColor (int style) const
- bool defaultEolFill (int style) const
- QFont defaultFont (int style) const
- QColor defaultPaper (int style) const
- const char * keywords (int set) const
- QString description (int style) const

## Detailed Description

The QsciLexerJavaScript class encapsulates the Scintilla JavaScript lexer.

## Constructor & Destructor Documentation

QsciLexerJavaScript::QsciLexerJavaScript | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerJavaScript with parent parent. parent is typically the QsciScintilla instance.

virtual QsciLexerJavaScript::~QsciLexerJavaScript | ( |  | ) | `[virtual]`

Destroys the QsciLexerJavaScript instance.

## Member Function Documentation

const char* QsciLexerJavaScript::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Reimplemented from QsciLexerCPP.

QColor QsciLexerJavaScript::defaultColor | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  defaultPaper()

Reimplemented from QsciLexerCPP.

bool QsciLexerJavaScript::defaultEolFill | ( | int | style | ) | const`[virtual]`

Returns the end-of-line fill for style number style.

Reimplemented from QsciLexerCPP.

QFont QsciLexerJavaScript::defaultFont | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from QsciLexerCPP.

QColor QsciLexerJavaScript::defaultPaper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  defaultColor()

Reimplemented from QsciLexerCPP.

const char* QsciLexerJavaScript::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexerCPP.

QString QsciLexerJavaScript::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Reimplemented from QsciLexerCPP.